/*
 * Copyright (C) 2001-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.bebop;


import com.arsdigita.xml.*;

import java.util.Iterator;

/**
 * Implementation of the Component interface. Used for testing.
 *
 * @version $Revision: #7 $ $Date: 2004/04/07 $
 */

public class ComponentImpl extends LockableImpl implements Component {

    public static final String versionId = "$Id: //core-platform/dev/test/src/com/arsdigita/bebop/ComponentImpl.java#7 $ by $Author: dennis $, $DateTime: 2004/04/07 16:07:11 $";

    public void generateXML(PageState state, Element parent) {}

    public void respond(PageState state)
        throws javax.servlet.ServletException {}

    public Iterator children() { return null; }

    public void register(Page p) {}

    public void register(Form f, FormModel m) {}

    public String getClassAttr() { return null; }

    public void setClassAttr(String theClass) {}

    public String getStyleAttr() { return null; }

    public void setStyleAttr(String style) {}

    public String getIdAttr() { return null; }

    public void setIdAttr(String id) {}

    public Component setKey(String key) { return null; }

    public String getKey() { return null; }

    public boolean isVisible(PageState state) { return true; }

    public void setVisible(PageState state, boolean v) {}

}
